package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pdd.entity.ShelvesEntity;
import org.ta.pddserver.mapper.ShelvesMapper;
import org.ta.pddserver.service.ShelvesService;

@Service
public class ShelvesImpl extends ServiceImpl<ShelvesMapper, ShelvesEntity> implements ShelvesService {

    public ShelvesEntity getUsableOrdered() {
        return this.baseMapper.findUsableOrdered();
    }

    public int updateNum(int num, String level1, int level2, int level3) {
        return this.baseMapper.updateNum(num, level1, level2, level3);
    }
}